package key

import (
	"key-manager/hd"
	"testing"
)

func TestNewAccount(t *testing.T) {
	mnemonic, err := GenerateMnemonic(hd.Mnemonic12)
	if err != nil {
		t.Fatal(err)
	}
	t.Log(mnemonic)

	account, err := NewEthAccount(mnemonic, 0)
	if err != nil {
		t.Fatal(err)
	}
	t.Log(account.Address.String())

	tronAccount, err := NewTronAccount(mnemonic, 0)
	if err != nil {
		t.Fatal(err)
	}
	t.Log(tronAccount.Address.String())
}
